import Vue from "vue";
import elementUI from "element-ui";
import App from "./App.vue";
import router from "./router";
import store from "./store";
import "./styles/index.scss";
import request from "./utils/request";
import message from "./utils/message";
import i18n from "@/lang";
import "@/components";
Vue.use(elementUI, {
  i18n: (key: string, value: string) => i18n.t(key, value)
});
Vue.use(request);
Vue.use(message);

Vue.config.productionTip = false;
Vue.prototype.$basePath = `${process.env.VUE_APP_BASE_API}`.replace(/\/$/, "");
new Vue({
  router,
  store,
  i18n,
  render: h => h(App)
}).$mount("#app");
